Bug 214501 - devel/awscli: Update to 1.11.20
Summary: devel/awscli: Update to 1.11.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ruslan Makhmatkhanov
URL: https://github.com/aws/aws-cli/blob/1...
Keywords:
Depends on: 214298 214500
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-14 11:25 UTC by Bradley T. Hughes
Modified: 2016-11-23 08:02 UTC (History)
2 users (show)

See Also:


Attachments
1.11.14 (1.72 KB, patch)
2016-11-14 11:25 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
1.11.17 (1.72 KB, patch)
2016-11-17 22:51 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
1.11.18 (1.72 KB, patch)
2016-11-18 09:48 UTC, Bradley T. Hughes
no flags Details | Diff
1.11.20 (1.72 KB, patch)
2016-11-22 09:13 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-11-14 11:25:11 UTC
Created attachment 176989 [details]
1.11.14

Bump to the latest upstream release. Bump the version on the
devel/py-botocore dependency 1.4.71, like upstream.

https://github.com/aws/aws-cli/blob/1.11.14/CHANGELOG.rst
Comment 1 Bradley T. Hughes freebsd_committer 2016-11-14 11:28:40 UTC
portlint: OK (-C, looks fine.)
testport: OK (poudriere: 11.0-R , 10.[123]-R, 9.3-R, amd64/i386, default options)
Comment 2 Bradley T. Hughes freebsd_committer 2016-11-17 22:51:06 UTC
Created attachment 177128 [details]
1.11.17

Updated patch to use the latest upstream release:

portlint: OK (-C, looks fine.)
testport: OK (poudriere: 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
Comment 3 Bradley T. Hughes freebsd_committer 2016-11-18 09:48:25 UTC
Created attachment 177136 [details]
1.11.18

Updated patch to use latest upstream release.

portlint: OK (-C, looks fine.)
testport: OK (poudriere, 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
Comment 4 Bradley T. Hughes freebsd_committer 2016-11-22 09:13:11 UTC
Created attachment 177263 [details]
1.11.20

New upstream release.

portlint: OK (-C, looks fine.)
testport: OK (poudriere, 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
Comment 5 commit-hook freebsd_committer 2016-11-22 21:15:12 UTC
A commit references this bug:

Author: rm
Date: Tue Nov 22 21:15:00 UTC 2016
New revision: 426866
URL: https://svnweb.freebsd.org/changeset/ports/426866

Log:
  devel/awscli: update to 1.11.20

  PR:		214501
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2016-11-22 21:15:49 UTC
Committed, thank you! Apologies for such a delay.
Comment 7 Bradley T. Hughes freebsd_committer 2016-11-22 21:27:44 UTC
Thanks for the devel/py-botocore and devel/awscli updates! Very much appreciated :)
Comment 8 jrh 2016-11-22 22:20:49 UTC
Not sure if I should open a new bug or not, but 1.11.20 requires py-yaml to run (not to build, so may not get caught)

--- Makefile.orig	2016-11-22 14:19:27.038819000 -0800
+++ Makefile	2016-11-22 14:19:34.876691000 -0800
@@ -16,7 +16,8 @@
 		${PYTHON_PKGNAMEPREFIX}colorama>=0.2.5:devel/py-colorama \
 		${PYTHON_PKGNAMEPREFIX}s3transfer>=0.1.9:net/py-s3transfer \
 		${PYTHON_PKGNAMEPREFIX}docutils>=0.10:textproc/py-docutils \
-		${PYTHON_PKGNAMEPREFIX}rsa>=3.1.2:security/py-rsa
+		${PYTHON_PKGNAMEPREFIX}rsa>=3.1.2:security/py-rsa \
+		${PYTHON_PKGNAMEPREFIX}yaml>=3.11:devel/py-yaml
 
 USES=		python
 USE_PYTHON=	autoplist distutils
Comment 9 commit-hook freebsd_committer 2016-11-23 07:58:58 UTC
A commit references this bug:

Author: rm
Date: Wed Nov 23 07:58:21 UTC 2016
New revision: 426884
URL: https://svnweb.freebsd.org/changeset/ports/426884

Log:
  devel/awscli: add missing runtime dependency

  Add required runtime dependency upon py-yaml (consulted with setup.py)

  PR:		214501
  Submitted by:	jrh <jrh@jrh.org>
  Approved by:	portmgr (just-fix-it blanket)

Changes:
  head/devel/awscli/Makefile
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2016-11-23 08:01:13 UTC
Yes, it is indeed required according to setup.py, just committed. Bradley, hope you don't mind.
Comment 11 Bradley T. Hughes freebsd_committer 2016-11-23 08:02:28 UTC
No, I don't mind, I was just putting together another PR for yet another version bump and had added it there, but doing it separately is great :)

Thanks for the quick fix! :)